Skip to main content
GET
/
products
/
{uuid}
Get a product
curl --request GET \
  --url https://api.journeybee.io/v1/products/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "name": "<string>",
  "sku": "<string>",
  "description": "<string>",
  "price": 123,
  "currency": {
    "uuid": "<string>",
    "code": "<string>",
    "label": "<string>"
  },
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Default Response

uuid
string
required
name
string
required
sku
string | null
required
description
string | null
required
price
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

billing_type
enum<string>
required
Available options:
one_time,
recurring
billing_period
enum<string> | null
required
Available options:
monthly,
quarterly,
yearly
status
enum<string>
required
Available options:
live,
draft,
archived
currency
object
required
created_at
string
required
updated_at
string
required